get
https://{domainname}/ca_apis/getAvailableCampaigns
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests⦠| |||
Loadingā¦
This API is used to retrieve all the campaign information. The information that can be retrieved is the CampaignId, Campaign name, Username, Position (whether in a ready state or not), DID, and Campaign type (Inbound, Preview, Chat, IVR, Progressive, and Predictive).
APIs Domain NameFor domestic ccaas - enter the domain: in1-ccaas-api.ozonetel.com
For international ccaas - enter the domain: api.ccaas.ozonetel.com
For Partners - enter the respective URL
To use this API with the help of a token, follow these steps:
- Generate the Token: Use the 'Generate Token' API to obtain an authentication token.
- Enter the Token ID: Navigate to the right section of this page, under the 'AUTHORIZATION' tab. Here, input the generated token ID.
- With the token entered, pass the below header and body parameters:
Header parameters
| Parameter | Description |
|---|---|
| Content-Type | application/json |
Body Params
{
"userName":"Test"
}
Possible responses
Success response
{
"message": [
{
"UserName": "demo_user",
"Position": "READY",
"PerDayRetries": null,
"NoOfDaysToRetry": null,
"NoOfTries": null,
"DynamicDID": null,
"RetryConditions": null,
"Campaign": "SpeechYellow.ai_test",
"CampaignID": 638,
"FallBackDID": null,
"FallbackDynamicDID": null,
"DID": "xxxx",
"CampaignType": "InBound"
},
{
"UserName": "demo_user",
"Position": "RUNNING",
"PerDayRetries": null,
"NoOfDaysToRetry": null,
"NoOfTries": 5,
"DynamicDID": null,
"RetryConditions": null,
"Campaign": "omnichannel",
"CampaignID": 1369,
"FallBackDID": null,
"FallbackDynamicDID": null,
"DID": "xxxxx",
"CampaignType": "Chat"
}
],
"status": "success"
}Invaid apikey/userName
{
"status": "false",
"message": "Invalid User Details",
"data": null
}